import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:slick/configuration/slick_configuration.dart';

class SlickElevatedButton extends StatelessWidget {
  const SlickElevatedButton({
    Key key,
    @required this.onPressed,
    this.child,
  }) : super(key: key);

  final VoidCallback onPressed;
  final Widget child;

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
      style: ElevatedButton.styleFrom(
        primary:  SlickConfiguration.colors.elevatedButtonPrimary,
        onPrimary: Colors.white,
        textStyle: GoogleFonts.barlow(
          fontSize: 14,
          fontWeight: FontWeight.normal,
        ),
        padding: EdgeInsets.only(top: 18.0, bottom: 18.0, left: 24, right: 24),
        shadowColor: Colors.transparent,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(30.0),
        ),
      ),
      onPressed: onPressed,
      child: child,
    );
  }
}
