import 'package:flutter/material.dart';

import 'slick_text_input.dart';

class RequiredSlickTextInput extends StatelessWidget {
  RequiredSlickTextInput({
    Key key,
    this.initialValue,
    this.labelText,
    this.onChanged,
  }) : super(key: key);

  final String initialValue;
  final String labelText;
  final ValueChanged<String> onChanged;

  @override
  Widget build(BuildContext context) {
    return SlickTextInput(
      initialValue: initialValue,
      labelText: labelText,
      onChanged: onChanged,
      validator: (String value) {
        if (value.isEmpty) {
          return '$labelText is required';
        }
        return null;
      },
    );
  }
}
