import 'package:flutter/material.dart';

class SlickDateInput extends StatelessWidget {
  SlickDateInput({
    Key key,
    @required this.initialValue,
    @required this.labelText,
    @required this.onChanged,
  }) : super(key: key);

  final DateTime initialValue;
  final String labelText;
  final ValueChanged<DateTime> onChanged;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 250,
      color: Colors.grey.shade200,
      margin: const EdgeInsets.only(top: 8.0, left: 16),
      child: Padding(
        padding: const EdgeInsets.only(left: 12.0),
        child: InputDatePickerFormField(
          fieldLabelText: labelText,
          firstDate: DateTime(1900, 1, 1),
          lastDate: DateTime.now(),
          initialDate: initialValue,
          onDateSubmitted: onChanged,
          onDateSaved: onChanged,
        ),
      ),
    );
  }
}
